#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 structured
version:              0.1.0.1
visibility:           public
id:                   structured-0.1.0.1-5CHto1oY49IDaYfYC8xt5S
key:                  structured-0.1.0.1-5CHto1oY49IDaYfYC8xt5S
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             Structure (hash) of your data types
description:
    Calculate the hash of a data structure.
    It can be used as a magic number for the serialization formats.
    See <https://hackage.haskell.org/package/binary-tagged binary-tagged>
    for a @binary@ bindings.

category:             Data
abi:                  1c691775d8fe6708f3b9040f163ae00d
exposed:              True
exposed-modules:      Data.Structured Data.Structured.Internal
hidden-modules:       Data.Structured.MD5
import-dirs:          /usr/lib/ghc-8.10.4/site-local/structured-0.1.0.1
library-dirs:         /usr/lib/ghc-8.10.4/site-local/structured-0.1.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/structured-0.1.0.1
hs-libraries:         HSstructured-0.1.0.1-5CHto1oY49IDaYfYC8xt5S
depends:
    aeson-1.5.6.0-vttEzhWJzWKjl9IX66QmC array-0.5.4.0 base-4.14.1.0
    base16-bytestring-1.0.1.0-GFHbp9pDGKb7zba4QjzG5A binary-0.8.8.0
    bytestring-0.10.12.0 containers-0.6.2.1
    hashable-1.3.2.0-5x51STP8vZMKBx9J0CoY3R
    scientific-0.3.7.0-IzXeMiKS0G6FRSVHBIBemd
    tagged-0.8.6.1-A3E8I7zg2qBFE9O5vQsg6C text-1.2.4.1
    time-compat-1.9.6-F5bVrYLVcPj2pXZ06F1o7K transformers-0.5.6.2
    unordered-containers-0.2.14.0-BnMT8OZ6mZf1CSW1Hvg8FR
    uuid-types-1.0.5-sHYbsBrD7BAnaHkw1AmX2
    vector-0.12.3.0-HURuJbi2iJT3pZcjBMuHYu

haddock-interfaces:   /usr/share/doc/haskell-structured/html/structured.haddock
haddock-html:         /usr/share/doc/haskell-structured/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

